Last Comment Bug 538320 - Launch getfirebug.com redesign
: Launch getfirebug.com redesign
Status: RESOLVED FIXED
01/26/2010 @ 7pm
:
Product: Infrastructure & Operations
Classification: Other
Component: WebOps: Other (show other bugs)
: other
: All Other
: P5 critical (vote)
: ---
Assigned To: chizu
: matthew zeier [:mrz]
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-06 18:20 PST by Neil Lee [:neilio]
Modified: 2013-10-09 10:29 PDT (History)
5 users (show)
chizu: needs‑downtime+
See Also:
Due Date:
QA Whiteboard:
Iteration: ---
Points: ---
Cab Review: ServiceNow Change Request (use flag)


Attachments

Description Neil Lee [:neilio] 2010-01-06 18:20:49 PST
I'm not exactly sure what the process is here (I've never launched a site on my own before) but we're going to need to push the getfirebug.com redesign live in the next day or two. Opening this bug to get this process started.

The current site is in svn/projects/getfirebug.com/trunk and is currently mirrored to getfirebug.stage.mozilla.com. There's still an open bug right now on a PHP sessions issue with the CMS (bug #537778) but we can do a DB import of my local instance, which fox2mike has already done once on staging.

Rob has told me that it's critical that a specific part of the repo can't be touched, but he's out today sick so he'll have to comment here with specifics.
Comment 1 Rob Campbell [:rc] (:robcee) 2010-01-11 08:55:28 PST
taking a closer look at the directory, (currently mirrored from getfirebug.com's svn repo under tags/production), there are a number of directories we need to watch out for and not touch. They are:

blog/
lite/
tests/
releases/

lite would likely benefit from some new styling, but we can wait to do that afterwards. I don't think there are any additional directories that should remain as they are now.
Comment 2 Neil Lee [:neilio] 2010-01-19 10:32:58 PST
One other directory that needs to move over is workingGroup/.

Trevor, this is ready to go out, at least to staging for now. fox2mike was doing an import of my local DB as that's where all of the content has been created, so I'll need to do this now to sync my local version with stage.

I can push the related template files up to svn - where should I put a dump of my DB for you?
Comment 3 Neil Lee [:neilio] 2010-01-20 12:08:43 PST
We're ready to go, but we need IT's help to get this out.
Comment 4 chizu 2010-01-20 13:15:31 PST
DB dump loaded on stage.
Comment 5 Neil Lee [:neilio] 2010-01-20 13:33:35 PST
Can I get the cache directory located in getfirebug.com/cache (on stage) chmodded to 777, please? The script I use to pull RSS into HTML needs to write to that directory.
Comment 6 chizu 2010-01-20 13:53:55 PST
(In reply to comment #5)
> Can I get the cache directory located in getfirebug.com/cache (on stage)
> chmodded to 777, please? The script I use to pull RSS into HTML needs to write
> to that directory.

Done
Comment 7 Reed Loden [:reed] (use needinfo?) 2010-01-20 19:42:59 PST
In general, directories such as 'cache' should be outside the webroot for security reasons... this is so if anything executable were to be put in that directory, there would be no way to run it from the web.
Comment 8 Neil Lee [:neilio] 2010-01-22 07:46:04 PST
Removing the dependency on minification - I want to get this out today. We can add that in post-launch.

chizu - the launch document for this site is here: 

https://wiki.mozilla.org/Firebug/SiteRedesign09:Launch

Would it be possible to get this out for today?
Comment 9 Neil Lee [:neilio] 2010-01-22 07:46:43 PST
r60994 is last commit to trunk.
Comment 10 Neil Lee [:neilio] 2010-01-22 11:48:36 PST
Updated some files - r61013 is the release revision. Thanks!
Comment 11 Neil Lee [:neilio] 2010-01-22 11:53:23 PST
Sorry, last chang - r61014. Code is frozen.
Comment 12 chizu 2010-01-26 20:13:53 PST
This is live, but a number of pages are failing to load content.
Comment 13 Neil Lee [:neilio] 2010-01-26 20:14:42 PST
It was working for a little bit there, but now it's not pulling from the database for some reason.
Comment 14 Neil Lee [:neilio] 2010-01-26 20:18:20 PST
Yep, something changed either to the config.php file in /perch/config/ or the database credentials or location of the database was changed and not updated in the config file.

http://grab.by/202s
Comment 15 chizu 2010-01-26 20:27:31 PST
ok, fixed that. It would be best if the config file was named config.php-dist in svn to prevent conflicts on updates.

Next issue I see is blog.getfirebug.com is referring to images that no longer exists.
Comment 16 Neil Lee [:neilio] 2010-01-27 05:59:06 PST
chizu: thanks for all of your help! I don't see the blog issue, so hopefully this was just a transient issue.

Is the production site now syncing with trunk? Just wondering how we make changes to the live site code and files if need be.
Comment 17 chizu 2010-01-27 10:53:02 PST
Here's the image urls that 404 on blog:
http://blog.getfirebug.com/header.png
http://blog.getfirebug.com/images/feed.png
http://getfirebug.com/blank.gif

The production site is pulled from r61014. It can be updated with a newer trunk revision or we could switch it to a new svn tag. It doesn't automatically update, you would file a bug like this one to get it updated.
Comment 18 Rob Campbell [:rc] (:robcee) 2010-01-27 11:10:02 PST
I think once we've got this setup the way we like it, we should merge to a tag, e.g., newdesign and clone from that. Trunk should be remapped to stage.
Comment 19 chizu 2010-01-28 14:36:50 PST
Remaining image bugs are tracked in bug 542682.
Comment 20 chizu 2010-01-28 14:53:23 PST
That should be bug 531477.

Note You need to log in before you can comment on or make changes to this bug.